Subject: Re: [PATCH][BUILD FAILURE 03/12] Re: Next April 21 : PPC64 randconfig [arch/powerpc/kernel/of_platform.o]

From: Michael Ellerman <[email-masked]>
Date: Thu, 23 Apr 2009 14:23:26 +1000

On Wed, 2009-04-22 at 20:15 -0700, Randy Dunlap wrote:
> Michael Ellerman wrote:
> > On Wed, 2009-04-22 at 21:46 +0530, Subrata Modak wrote:
> >> On Wed, 2009-04-22 at 00:20 +0530, Subrata Modak wrote:
> >>> Reported this earlier on 14th April 2009:
> >>> http://lkml.org/lkml/2009/4/14/480,
> >>>
> >>> Michael,
> >>>
> >>> Any fix in sight ?
> >>> http://lkml.org/lkml/2009/4/14/676,
> >>>
> >>> CC      arch/powerpc/kernel/of_platform.o
> >>> arch/powerpc/kernel/of_platform.c: In function 'of_pci_phb_probe':
> >>> arch/powerpc/kernel/of_platform.c:270: error: implicit declaration of
> >>> function 'pci_devs_phb_init_dynamic'
> >>> arch/powerpc/kernel/of_platform.c:279: error: implicit declaration of
> >>> function 'scan_phb'
> >>> arch/powerpc/kernel/of_platform.c:295: error: implicit declaration of
> >>> function 'pci_bus_add_devices'
> >>> make[1]: *** [arch/powerpc/kernel/of_platform.o] Error 1
> >>> make: *** [arch/powerpc/kernel] Error 2
> >>> ---
> > 
> > The problem above is as I said before, that the Cell Kconfig forces on
> > PPC_OF_PLATFORM_PCI even if PCI is disabled. I think the proper fix is
> > just to have CELL_NATIVE force on PCI.
> > 
> > I don't know how you got the other errors, both pci_dn.c and pci_dlpar.c
> > are only built if CONFIG_PCI is enabled, see the Makefiles.
> 
> 
> The Kconfig could be more like this:
> config PPC_CELL_NATIVE
> 	bool
> 	select PPC_CELL_COMMON
> -	select PPC_OF_PLATFORM_PCI
> +	select PPC_OF_PLATFORM_PCI if PCI

That might be better. Although I think in truth the Cell code won't
build without PCI, but we could fix that. As I said in my patch I think
we do want PCI on Cell native, so we should just select it too.

http://patchwork.ozlabs.org/patch/26338/

cheers